# Created by pyp2rpm-3.3.1
%global pypi_name hacking

%define with_docs 0

Name:           python-%{pypi_name}
Version:        4.0.0
Release:        %mkrel 1
Summary:        OpenStack Hacking Guideline Enforcement
Group:          Development/Python
License:        ASL 2.0
URL:            https://docs.openstack.org/hacking/latest/
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  pkgconfig(python3)
BuildConflicts: python3-eventlet
BuildRequires:  python3dist(coverage)
BuildRequires:  python3dist(fixtures)
BuildRequires:  python3dist(flake8)
BuildRequires:  python3dist(flake8-docstrings)
BuildRequires:  python3dist(mccabe)
BuildRequires:  python3dist(mock)
%if %with_docs
BuildRequires:  python3dist(openstackdocstheme)
%endif
BuildRequires:  python3dist(pbr)
BuildRequires:  python3dist(pbr)
BuildRequires:  python3dist(pycodestyle)
BuildRequires:  python3dist(pyflakes)
BuildRequires:  python3dist(python-subunit)
BuildRequires:  python3dist(reno) >= 1.8.0
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(six)
BuildRequires:  python3dist(testrepository)
BuildRequires:  python3dist(testscenarios)
BuildRequires:  python3dist(testtools)
BuildRequires:  python3dist(unittest2)

%description
hacking is a set of flake8 plugins that test and enforce the OpenStack
StyleGuide

Hacking pins its dependencies, as a new release of some dependency can break
hacking based gating jobs. This is because new versions of dependencies can
introduce new rules, or make existing rules stricter.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
hacking is a set of flake8 plugins that test and enforce the OpenStack
StyleGuide

Hacking pins its dependencies, as a new release of some dependency can break
hacking based gating jobs. This is because new versions of dependencies can
introduce new rules, or make existing rules stricter.

%package -n python-%{pypi_name}-doc
Summary:        hacking documentation

%description -n python-%{pypi_name}-doc
Documentation for hacking

%prep
%autosetup -p1 -n %{pypi_name}-%{version} -p1
grep --include={PKG-INFO,\*.ini,\*.py,\*.txt} -rnl './' -e "pep8" | xargs -i@ sed -i 's/pep8/pycodestyle/g' @

# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%if %with_docs
# generate html docs
PYTHONPATH=${PWD} sphinx-build doc/source html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}
%endif

%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.rst
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info

%if %with_docs
%files -n python-%{pypi_name}-doc
%doc html
%license LICENSE
%endif



%changelog
* Wed Dec 30 2020 wally <wally> 4.0.0-1.mga8
+ Revision: 1666235
- new version 4.0.0

* Sun Feb 16 2020 umeabot <umeabot> 1.1.0-6.mga8
+ Revision: 1533110
- Mageia 8 Mass Rebuild

* Wed Sep 18 2019 tv <tv> 1.1.0-5.mga8
+ Revision: 1443313
- rebuild for python-3.8
- drop python2 subpkg

* Tue Jan 08 2019 kekepower <kekepower> 1.1.0-4.mga7
+ Revision: 1352589
- Disable docs for now
- BR python(2,3)dist(reno)
- Rebuild for Python 3.7

* Sat Dec 15 2018 kekepower <kekepower> 1.1.0-3.mga7
+ Revision: 1341543
- Update patch to fix flake8 version dependency

* Sun Dec 09 2018 kekepower <kekepower> 1.1.0-2.mga7
+ Revision: 1339088
- Add patch to fix flake8 version dependency

* Sat Nov 03 2018 kekepower <kekepower> 1.1.0-1.mga7
+ Revision: 1327818
- Remove Patch0
- Remove BR for python3-sphinx
- Update to version 1.1.0

* Thu Sep 20 2018 umeabot <umeabot> 1.0.0-2.mga7
+ Revision: 1288940
- Mageia 7 Mass Rebuild

* Thu Apr 05 2018 kekepower <kekepower> 1.0.0-1.mga7
+ Revision: 1215458
- BR python2dist(sphinx)
- Add patch to fix requirements
- Replace pep8 with pycodestyle
- imported package python-hacking

